io.vertx.ext.auth.jwt

## Class JWTAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.jwt.JWTAuthOptions

-     public class JWTAuthOptions
      extends Object

  Options describing how an JWT Auth should behave.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuthOptions()` Default constructor
    `JWTAuthOptions(JsonObject json)` Constructor to create an options from JSON
    `JWTAuthOptions(JWTAuthOptions other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JWTAuthOptions` | `addJwk(JsonObject jwk)`
    `JWTAuthOptions` | `addPubSecKey(PubSecKeyOptions pubSecKey)`
    `JWTAuthOptions` | `addSecret(SecretOptions secret)` Deprecated.
    `List<JsonObject>` | `getJwks()`
    `io.vertx.ext.jwt.JWTOptions` | `getJWTOptions()`
    `KeyStoreOptions` | `getKeyStore()`
    `String` | `getPermissionsClaimKey()`
    `List<PubSecKeyOptions>` | `getPubSecKeys()`
    `List<SecretOptions>` | `getSecrets()` Deprecated.
    `JWTAuthOptions` | `setJwks(List<JsonObject> jwks)`
    `JWTAuthOptions` | `setJWTOptions(io.vertx.ext.jwt.JWTOptions jwtOptions)`
    `JWTAuthOptions` | `setKeyStore(KeyStoreOptions keyStore)`
    `JWTAuthOptions` | `setPermissionsClaimKey(String permissionsClaimKey)`
    `JWTAuthOptions` | `setPubSecKeys(List<PubSecKeyOptions> pubSecKeys)`
    `JWTAuthOptions` | `setSecrets(List<SecretOptions> secrets)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTAuthOptions

          public JWTAuthOptions()

      Default constructor

    - #### JWTAuthOptions

          public JWTAuthOptions(JWTAuthOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### JWTAuthOptions

          public JWTAuthOptions(JsonObject json)

      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getPermissionsClaimKey

          public String getPermissionsClaimKey()

    - #### setPermissionsClaimKey

          public JWTAuthOptions setPermissionsClaimKey(String permissionsClaimKey)

    - #### getKeyStore

          public KeyStoreOptions getKeyStore()

    - #### setKeyStore

          public JWTAuthOptions setKeyStore(KeyStoreOptions keyStore)

    - #### getPubSecKeys

          public List<PubSecKeyOptions> getPubSecKeys()

    - #### setPubSecKeys

          public JWTAuthOptions setPubSecKeys(List<PubSecKeyOptions> pubSecKeys)

    - #### getSecrets

          @Deprecated
          public List<SecretOptions> getSecrets()

      Deprecated.

    - #### setSecrets

          @Deprecated
          public JWTAuthOptions setSecrets(List<SecretOptions> secrets)

      Deprecated.

    - #### addSecret

          @Deprecated
          public JWTAuthOptions addSecret(SecretOptions secret)

      Deprecated.

    - #### addPubSecKey

          public JWTAuthOptions addPubSecKey(PubSecKeyOptions pubSecKey)

    - #### getJWTOptions

          public io.vertx.ext.jwt.JWTOptions getJWTOptions()

    - #### setJWTOptions

          public JWTAuthOptions setJWTOptions(io.vertx.ext.jwt.JWTOptions jwtOptions)

    - #### getJwks

          public List<JsonObject> getJwks()

    - #### setJwks

          public JWTAuthOptions setJwks(List<JsonObject> jwks)

    - #### addJwk

          public JWTAuthOptions addJwk(JsonObject jwk)

Copyright © 2019 Eclipse. All rights reserved.